#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- Image to deploy.
  repository: golift/unifi-poller
  # -- Image [k8s pull policy](https://kubernetes.io/docs/concepts/containers/images/#updating-images).
  pullPolicy: IfNotPresent
  # -- Image tag to deploy.
  tag: 2.1.3


# -- Environment variable configuration options for unifi-poller ([docs](https://unifipoller.com/docs/install/configuration)).
#    Note: a [configuration file](https://github.com/unifi-poller/unifi-poller/blob/master/examples/up.conf.example) is also supported.
env: {}
  # TZ: UTC
  # UP_UNIFI_DEFAULT_URL: "https://127.0.0.1:8443"
  # UP_UNIFI_DEFAULT_USER: "unifipoller"
  # UP_UNIFI_DEFAULT_PASS: "unifipoller"
  # UP_PROMETHEUS_DISABLE: true
  # UP_INFLUXDB_DISABLE: true

service:
  main:
    ports:
      http:
        enabled: false
      metrics:
        enabled: true
        protocol: TCP
        port: 9130

ingress:
  main:
    # -- Expose [unifi-poller's web interface](https://unifipoller.com/docs/advanced/webserver)
    #    (if enabled in the configuration) via the k8s ingress by setting this true.
    enabled: false

influxdb:
  # -- Create an InfluxDB instance as a [unifi-poller storage backend](https://unifipoller.com/docs/dependencies/influxdb).
  #    See [bitnami/influxdb](https://github.com/bitnami/charts/tree/master/bitnami/influxdb) for more options.
  enabled: false
  # -- InfluxDB cluster deployment architecture.
  architecture: standalone
  # -- Database name to automatically initialize.
  #    Be sure to match in unifi-poller's [influxdb config](https://unifipoller.com/docs/install/configuration#influxdb).
  database: unifi
  # -- Enable InfluxDB authentication, supported by unifi-poller.
  #    Be sure to match in unifi-poller's [influxdb config](https://unifipoller.com/docs/install/configuration#influxdb).
  authEnabled: false
  persistence:
    # -- Enable persistence to store in a PV so data survives pod restarts.
    enabled: false
    # storageClass: ""
    # size: 8Gi

metrics:
  # -- Enable and configure a Prometheus serviceMonitor for the chart under this key.
  # @default -- See values.yaml
  enabled: false
  serviceMonitor:
    interval: 1m
    scrapeTimeout: 30s
    labels: {}
  # -- Enable and configure Prometheus Rules for the chart under this key.
  # @default -- See values.yaml
  prometheusRule:
    enabled: false
    labels: {}
    # -- Configure additionial rules for the chart under this key.
    # @default -- See prometheusrules.yaml
    rules: []
      # - alert: UnifiPollerAbsent
      #   annotations:
      #     description: Unifi Poller has disappeared from Prometheus service discovery.
      #     summary: Unifi Poller is down.
      #   expr: |
      #     absent(up{job=~".*unifi-poller.*"} == 1)
      #   for: 5m
      #   labels:
      #     severity: critical
